Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228513 - sepolgen modules missing?
Summary: sepolgen modules missing?
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-13 15:11 UTC by Tom London
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-20 00:55:15 UTC


Attachments (Terms of Use)

Description Tom London 2007-02-13 15:11:21 UTC
Description of problem:
With policycoreutils-2.0.1-1.fc7:

[root@localhost ~]# audit2allow
Traceback (most recent call last):
  File "/usr/bin/audit2allow", line 24, in <module>
    import sepolgen.audit as audit
ImportError: No module named sepolgen.audit
[root@localhost ~]# 

[root@localhost ~]# sepolgen-ifgen
Traceback (most recent call last):
  File "/usr/bin/sepolgen-ifgen", line 32, in <module>
    import sepolgen.refparser as refparser
ImportError: No module named sepolgen.refparser
[root@localhost ~]# 


Version-Release number of selected component (if applicable):
policycoreutils-2.0.1-1.fc7

How reproducible:
every time

Steps to Reproduce:
1. update policycoreutils
2. run audit2allow
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Walsh 2007-02-15 20:32:23 UTC
Fixed in policycoreutils-2.0.1-2


Note You need to log in before you can comment on or make changes to this bug.